Wallet Reward Assets
curl --request GET \
--url https://api.blockradar.co/v1/wallets/{walletId}/rewards/assets \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/rewards/assets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/rewards/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Wallet reward assets retrieved successfully",
"statusCode": 200,
"data": [
{
"id": "aave-base-usdc",
"type": "defi",
"apy": "2.41",
"isActive": true,
"asset": {
"id": "b1deda8d-7609-4895-b584-e8ef1f13e354",
"name": "USD Coin",
"symbol": "USDC",
"decimals": 6
}
}
]
}Wallet Reward Assets
Lists the wallet’s reward-eligible assets and each strategy’s APY.
Query Parameters
| Key | Required | Type | Description |
|---|---|---|---|
| type | false | string | Filter by regulated or defi. |
| addressId | false | string (UUID) | Scope to a sub-address. Omit to target the master wallet. |
GET
/
v1
/
wallets
/
{walletId}
/
rewards
/
assets
Wallet Reward Assets
⌘I

